package eu.jonahbauer.wizard.client.libgdx;

import lombok.experimental.UtilityClass;

@UtilityClass
public class AnimationTimings {
    private static final float FACTOR = 1;

    public static final float JUGGLE = 0.25f * FACTOR;

    public static final float STACK_EXPAND = 0.25f * FACTOR;
    public static final float STACK_COLLAPSE = 0.25f * FACTOR;

    public static final float STACK_FINISH_MOVE = 0.25f * FACTOR;
    public static final float STACK_FINISH_ROTATE = 0.1f * FACTOR;
    public static final float STACK_FINISH_FADE = 0.5f * FACTOR;
    public static final float STACK_HOLD = 0.5f * FACTOR;

    public static final float WEREWOLF_SWAP = 0.25f * FACTOR;

    public static final float PAD_OF_TRUTH_EXPAND = 0.25f * FACTOR;
    public static final float PAD_OF_TRUTH_COLLAPSE = 0.25f * FACTOR;

    public static final float HAND_LAYOUT = 0.15f * FACTOR;

    public static final float OVERLAY_HOLD = 3f * FACTOR;
    public static final float OVERLAY_FADE = 0.1f * FACTOR;
    public static final float OVERLAY_SHARED_ELEMENT = .3f * FACTOR;

    public static final float MESSAGE_HOLD = 1.5f * FACTOR;
    public static final float MESSAGE_FADE = 0.5f * FACTOR;
}
